com.pivotal.gemfirexd.internal.client.am

## Class GetSystemPropertiesAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.GetSystemPropertiesAction

All Implemented Interfaces:
  PrivilegedAction

    public class GetSystemPropertiesAction
    extends Object
    implements PrivilegedAction

Java 2 PrivilegedAction encapsulation of System getProperties processing

### Constructor Summary

Constructors
Constructor and Description
`GetSystemPropertiesAction()` Constructor.

### Method Summary

Methods
`Properties` `getSystemProperties()` Accessor for system properties (used after run() method invocation)
`Object` `run()` Performs the privileged action of System.getProperties()

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetSystemPropertiesAction

    public GetSystemPropertiesAction()

Constructor.

### Method Detail

#### run

    public Object run()

Performs the privileged action of System.getProperties()

Specified by:
  `run` in interface `PrivilegedAction`

#### getSystemProperties

    public Properties getSystemProperties()

Accessor for system properties (used after run() method invocation)